PayZuPayZu Docs

List Defenses

GET
/user/infractions/{id}/defenses

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Infraction ID

Header Parameters

Content-Type*string

Obrigatório em toda chamada PayZu.

Default"application/json"
Value in"application/json"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.payzu.processamento.com/v1/user/infractions/string/defenses" \  -H "Content-Type: application/json"
[
  {
    "id": "defense_id_1",
    "defense": "Primeira defesa enviada",
    "status": "DEFENDED",
    "infractionId": "infraction_123",
    "createdAt": "2024-01-16T14:20:00Z",
    "updatedAt": "2024-01-17T09:15:00Z",
    "files": []
  }
]
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "querystring/dateFrom Invalid input: expected string, received undefined",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "Missing or invalid Bearer token",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}
{
  "statusCode": 404,
  "error": "Not Found",
  "message": "Resource not found",
  "requestId": "cmou00000abcdef01s6ghij1k2lm"
}